/* font */
@import url('https://fonts.googleapis.com/css2?family=Raleway:ital,wght@0,300;0,400;0,500;0,600;0,700;0,800;1,300;1,400;1,500;1,600;1,700&display=swap');

* {
    box-sizing: border-box;
}

body {
    font-family: 'Raleway', sans-serif;

}

/* header */

.container {
    display: flex;
    justify-content: space-between;
    margin: 20px 20px 0px 20px;
}

.contained,
.footer-contained {
    max-width: 4000px;
    margin: auto;
}

.logo-img {
    width: 100px;
}

.logo,
.logo:hover {
    border: 0px;
    padding: 0px;
    margin: 0px;
}

li {
    display: inline-block;
}

a {
    font-weight: 700;
    padding: 33px;
    margin-right: 30px;
    color: grey;
}

ul li a {
    font-weight: 400;
    color: black;
}

a:hover,
a:active {
    border-top: 2px solid #0065FC;
    padding: 33px;
    color: #0065FC;
}

.title-under-sentence {
    color: black;
    font-weight: 400;
}

.title-page {
    margin: 0px 20px;
}

/* h1 */

h1 {
    font-size: 20px;
    font-weight: 700;
    margin-bottom: 10px;
}

h2 {
    font-weight: 700;
}

p {
    font-size: 12px;
    font-weight: 400;
    margin-bottom: 10px;
}

span {
    font-weight: 700;
    color: black;
}

/* Formulaire */
form {
    display: flex;
    position: relative;
    margin: 0px 20px 30px 20px;
}

.fa-location-dot {
    background-color: rgba(128, 128, 128, 0.178);
    padding: 14.25px;
    border-radius: 10px 0px 0px 10px;
}

input {
    position: absolute;
    left: 40px;
    border: 1px solid rgba(128, 128, 128, 0.178);
    padding: 12px;
    width: 240px;
}

input::placeholder {
    color: black;
    font-weight: 700;
}

.search-desktop-home {
    position: absolute;
    left: 300px;
    border: 1px solid #0065FC;
    background-color: #0065FC;
    border-radius: 0px 10px 10px 0px;
    padding: 11.5px;
    color: white;
    font-weight: 700;
}

.search-desktop-home:hover {
    background-color: #0050c7;
    cursor: pointer;
}

.search-mobile-home {
    display: none;
}

button p {
    margin: 0;
    padding: 0;
    font-weight: 700;
    font-size: 15px;
    padding-top: 2px;
}

/* Section Filter */

.filter {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    margin: 0px 0px 20px 20px;
}

.filter>p {
    margin: 5px 20px 15px 0px;
    font-weight: 700;
    color: black;
    font-size: 18px;
}

/* filter */
/* button */
.btn-filter {
    display: flex;
    border: 2px solid rgba(128, 128, 128, 0.372);
    border-radius: 20px 20px 20px 20px;
    margin: 0px 20px 10px 0px;
    align-items: center;
    cursor: pointer;
    transition: all .2s ease-in-out;
}

.btn-filter:hover {
    transform: scale(1.1);
}

.text-box-filter {
    padding: 10px 10px;
    font-size: 15px;
    margin: 0;
    font-weight: 550;
}

/******************************************************************************/
/* Points complexes */
/******************************************************************************/
.fa-money-bill-wave,
.fa-child,
.fa-heart,
.fa-dog {
    display: flex;
    justify-content: center;
    text-align: center;
    color: #0065FC;
    padding: 10px;
    background-color: #DEEBFF;
    border-radius: 50%;
    transform: scale(1.2);
}

.fa-child {
    padding: 10px 13px;
}

/* information */

.info {
    display: flex;
    justify-content: flex-start;
    align-items: center;
    margin: 0px 0px 10px 10px;
}

.fa-info {
    color: #0065FC;
    padding: 5px 10px;
    border-radius: 50px;
    border: 1px solid #e0e0e0;
    transform: scale(0.6);
}

.text-info {
    color: black;
    margin: 0px;
    padding: 0px;
    font-weight: 400;
}

/* main */

.popular-hotel {
    display: flex;
    flex-direction: column;
    margin: 0px 20px 0px 20px;
}

/* hébergement */
.hotel {
    background-color: rgba(128, 128, 128, 0.178);
    padding: 20px;
    border-radius: 20px;
    margin: 0px 30px 30px 0px;
}

.hotel h2 {
    margin-left: 15px;
}

.hotel>a {
    font-weight: 700;
    font-size: 16px;
    color: rgb(0, 0, 0);
    padding: 0px;
    text-decoration: none;
}

.hotel>a:hover {
    color: blue;
    border: 0px
}

.first-part {
    display: flex;
}

.principal-card {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
    margin: 0 auto;

}


/******************************************************************************/
/* Point complexe */
/******************************************************************************/

.card-img {
    display: flex;
    padding: 5px;
    margin: 20px 10px;
    background-color: white;
    border-radius: 15px;
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);
    transition: 0.3s;
    height: 150px;
    min-width: 230px;
}

a.card-img-lodging {
    text-decoration: none;
    padding: 0px;
    flex: 1;
}

a.card-img-lodging:hover {
    border: 0;
    color: gray;
}

.card-img-top {
    flex-direction: column;
    height: 190px;
}

.card-img-left {
    flex-direction: row;
}

.card-img-top:hover,
.card-img-left:hover {
    box-shadow: 0 8px 16px 0 rgba(0, 0, 0, 0.2);
}

img.city-marseille-hotel-img {
    height: 110px;
    margin-bottom: 5px;
}

.city-marseille-hotel-img {
    object-fit: cover;
    width: 100%;
    border-radius: 10px 10px 0px 0px;
}

.city-marseille-hotel-content-card>p:nth-child(1) {
    font-weight: 700;
    font-size: 14px;
    color: black;
    margin-bottom: 5px;
}

.city-marseille-hotel-content-card {
    padding: 5px;
}

.content-card>p {
    margin-bottom: 5px;
    color: black;
    font-weight: 800;
}

.content-card :nth-child(2) {
    margin-bottom: 5px;
    font-weight: 400;
}

.content-card :nth-child(3) {
    margin-bottom: 10px;
    padding: 0px;
}

/* Etoiles */

.fa-star {
    color: rgba(6, 42, 250, 0.8);
    font-size: 10px;
    align-items: flex-end;
}

.empty {
    color: #dfdddd;
}

/* populaire */

.star-black {
    color: black;
    margin-right: 5px;
}

.popular {
    flex: 40%;
    background-color: rgba(128, 128, 128, 0.178);
    border-radius: 20px;
    padding: 20px;
    margin-bottom: 30px;
}

.title-most-popular {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.popular-img {
    height: 100%;
    width: 100px;
    object-fit: cover;
    border-radius: 10px 0px 0px 10px;
    margin-right: 10px;
}

.popular-text-card-content {
    display: flex;
    justify-content: space-between;
    flex-direction: column;
    padding: 10px 10px 0px 10px;
}


.popular-text-card-content p:nth-child(1) {
    color: black;
    font-size: 16px;
    font-weight: 600;
    margin: 0px 0px 10px 0px;
    padding: 0px;
}

.popular-text-card-content p:nth-child(2) {
    color: black;
}

/* Activité */

/******************************************************************************/
/* Points complexes */
/******************************************************************************/

.activity-marseille-block {
    margin: 0px 20px 30px 20px;
}

.activity {
    display: flex;
    justify-content: space-between;
    margin-bottom: 60px;
    gap: 10px;
}

.activity-city-title {
    margin-bottom: 40px;
}

.activity a {
    border: 0px;
    padding: 0px;
    margin: 0px;
}

.activity-back-content {
    background-color: white;
    border-radius: 15px;
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);
    transition: 0.3s;
    text-decoration: none;
    padding: 0px;
    color: black;
    margin-bottom: 10px;
}

/* image left */

.activity-back-content-img-left-height {
    height: 397px;
}

.activity-img-left {
    border-radius: 15px 15px 0px 0px;
    object-fit: cover;
    width: 100%;
    height: 345px;
    margin-bottom: 15px;
}

.activity-img-left:hover {
    box-shadow: 0 8px 16px 0 rgba(0, 0, 0, 0.2);
}


/* little images right center */

.activity-flex-column {
    display: flex;
    flex-direction: column;
    gap: 30px;
}

.activity-img-right-general {
    border-radius: 15px 15px 0px 0px;
    min-width: 230px;
    object-fit: cover;
    margin-bottom: 15px;

}

.activity-back-content-img-right-height-1 {
    width: 100%;
    height: 160px;
}

.activity-back-content-img-right-height-2 {
    height: 100px;
    width: 100%;
}


.activity-img-right-width {
    object-fit: cover;
    width: 250px;
    margin-bottom: 10px;
}

.activity-img-right-content-height-1 {
    height: 50%;
}

.activity-img-right-content-height-2 {
    height: 10%;
}

.activity-img-right:hover {
    box-shadow: 0 8px 16px 0 rgba(0, 0, 0, 0.363);
}

a.activity-img-left:hover,
a.activity-img-right:hover {
    color: white;
    padding: 0px;
    margin: 0px;
}

.activity-title {
    font-weight: 700;
    padding: 0px 0px 10px 10px;
}

/* footer */

.footer-contained {
    display: flex;
    gap: 210px;
    padding: 50px 0px 20px 0px;
    max-width: 1300px;
    margin: auto;

}

footer {
    background-color: rgba(128, 128, 128, 0.094);
    display: flex;
}

.footer-in-regards {
    margin-left: 30px;
}

.footer-contained ul {
    display: flex;
    flex-direction: column;
    padding: 0px;
}

.footer-contained ul li {
    padding: 0px;
    margin: 0px 0px 20px 0px;
    font-weight: 500;
}

.footer-contained a {
    padding: 0px;
}

footer h3 {
    margin: 0px;
}

footer ul li {
    margin-bottom: 10px;
}

footer ul li a:hover {
    color: gray;
    border: 0px;
    border-bottom: 1px solid gray;
    padding: 0px;

}

ul p {
    margin-bottom: 20px;
    font-weight: 700;
    font-size: 16px;
}

/* media queries */
@media screen and (max-width: 768px) {

    body {
        margin: 0px;
        background-color: white;
    }

    nav ul {
        display: flex;
        justify-content: space-between;
        padding: 0px 0px 16px 0px;
        border-bottom: 2px solid rgba(154, 154, 154, 0.177);
    }

    a {
        flex: 50%;
        padding: 0 33px 16px 40px;
        margin: 0px;
    }

    a:hover,
    a:active {
        border-top: 0px;
        border-bottom: 2px solid #0065FC;
        padding: 0 40px 16px 40px;
        margin: 0px;
        color: #0065FC;
    }

    a.card-img-lodging:hover,
    a.card-img-lodging:active {
        padding: 0;
    }

    a.card-img-lodging {
        margin: 0px 20px 0px 20px;
    }

    a.card-img-lodging {
        margin: 0px 20px 0px 20px;
    }

    a.activity-back-content:hover,
    a.activity-back-content:active {
        padding: 0px;
        border: 0px solid white;
    }

    .logo {
        text-align: center;
        margin: 10px 0px 0px 20px;
    }

    .container {
        margin: 0px;
        flex-direction: column;
    }

    form {
        justify-content: center;
        align-items: center;
        margin: 0px 0px 50px 20px;
    }

    .title-under-sentence {
        margin-bottom: 50px;
    }

    input {
        position: static;
        border-right: white;
        border-radius: 0px 10px 10px 0px;
        width: 100%;
    }

    .filter {
        display: flex;
        flex-wrap: wrap;
        margin-left: 25px;
    }

    .btn-filter {
        margin: 0px 10px 10px 0px;
    }

    .filter>p {
        margin-right: 90px;
        font-size: 18px;
        font-weight: 600;
    }

    .search-desktop-home {
        display: none;
    }

    .search-mobile-home:hover {
        background-color: #0050c7;
        cursor: pointer;
    }

    .search-mobile-home {
        position: relative;
        left: -20px;
        display: flex;
        border-radius: 25%;
        padding: 13px;
        border: 1px solid #0065FC;
        color: white;
        background-color: #0065FC;
    }

    .info {
        margin: 0px 20px 20px 20px;
    }

    .first-part {
        flex-direction: column-reverse;
        margin: 0px;
    }

    .second-part {
        margin: 0px 10px 0px 10px;
    }

    /* hébergement à Marseille */

    .hotel {
        padding: 0px;
        margin: 0px 0px 30px 0px;
        background-color: white;
    }

    .popular {
        margin-bottom: 10px;
        border-radius: 0px;
        padding: 0px 20px 0px 20px;
    }

    .popular-hotel {
        margin: 0px;
    }

    .principal-card {
        justify-content: center;
        margin-bottom: 30px;
    }


    /* hôtels populaires */

    .popular-text-card-content p:nth-child(2) {
        color: black;
        margin-bottom: 0px;
    }

    .popular-img {
        width: 40%;
    }


    a.hotel-read-more {
        padding: 0px;
        margin: 0px 0px 0px 30px;
    }

    .card-img {
        margin: 10px;
    }

    img.city-marseille-hotel-img {
        width: 100%;
    }

    /* activitées */

    .activity {
        display: flex;
        flex-direction: column;
        margin: 0px 20px 0px 20px;
    }

    .activity a {
        margin-bottom: 20px;
    }

    .activity-city-title {
        margin-left: 20px;
    }

    .activity-back-content-img-right-height-1,
    .activity-back-content-img-right-height-2,
    .activity-img-left,
    .activity-img-right {
        width: 100%;
        height: 150px;
        margin-bottom: 20px;
    }

    .activity-img-content {
        height: 75%;
    }

    .activity-flex-column {
        gap: 0px
    }

    .activity-back-content-img-right-height-1 {
        width: 100%;
    }


    footer {
        display: flex;
        justify-content: space-around;

    }

    .footer-in-regards {
        margin-left: 0px;
    }

    footer h3 {
        margin: 10px;
    }

    footer ul:nth-child(2),
    footer ul:nth-child(4),
    footer ul:nth-child(6) {
        flex: 33%;
        margin: 0px 0px 20px 0px;
        padding: 10px;
        border-bottom: 0px;
    }

    .footer-contained {
        display: flex;
        flex-direction: column;
        gap: 0px;
        margin: 0px 20px;
    }
}

@media only screen and (min-width: 769px) and (max-width: 992px) {

    body {
        margin: 0px;
    }

    .popular-text-card-content {
        margin-bottom: 0px;
        padding: 10px 0px 0px 0px;
    }

    .popular-text-card-content p:nth-child(2) {
        color: black;
        margin-bottom: 0px;
    }

    .activity-back-content-img-right-height-1 {
        width: 100%;
    }

    .activity {
        display: flex;
        flex-wrap: nowrap;
        gap: 10px;
    }


    .footer-contained {
        display: flex;
        gap: 50px;
        margin-left: 0px;
    }
}

@media only screen and (min-width: 993px) and (max-width: 1769px) {

    .hotel-read-more {
        margin: 20px 0px 0px 15px;
    }

    .footer-contained {
        margin: 0px;
        gap: 50px;
    }
}

@media only screen and (min-width: 1770px) {
    .principal-card {
        justify-content: stretch;
        margin-bottom: 20px;
    }

    .activity-img-left,
    .activity-img-right-general {
        width: 420px;
    }

    .card-img {
        height: 300px;
    }

    img.city-marseille-hotel-img {
        width: 300px;
        min-height: 200px;
    }

    .popular-img {
        width: 320px;
    }

    .hotel-read-more {
        margin: 20px 0px 0px 15px;
    }

    .footer-contained {
        margin: 0px;
    }
}